package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.OuterService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterDeleteScoreQueueTopReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetScoreQueueTopReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterDeleteScoreQueueTopResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetScoreQueueTopResp;


/**
 * 
 * @author  	chenken
 * @date    	2018年11月16日 下午3:02:45
 * @company 	QMTH
 * @description 成绩队列处理
 */
public interface ScoreQueueService extends OuterService{
	
	/**
	 * 取队列最顶层记录
	 * @param req
	 * @return
	 */
	public OuterGetScoreQueueTopResp GetScoreQueueTop(OuterGetScoreQueueTopReq req);
	
	/**
	 * 删除队列最顶层记录
	 * @param req
	 * @return
	 */
	public OuterDeleteScoreQueueTopResp DeleteScoreQueueTop(OuterDeleteScoreQueueTopReq req);
}
