package cn.com.qmth.examcloud.exchange.outer.api.provider;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.commons.web.support.StatusResponse;
import cn.com.qmth.examcloud.exchange.outer.api.ScoreQueueService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterDeleteScoreQueueTopReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetScoreQueueTopReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterDeleteScoreQueueTopResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetScoreQueueTopResp;

@Api("成绩队列服务")
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/scoreQueue")
public class ScoreQueueServiceProvider extends ControllerSupport implements ScoreQueueService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7975687672489564748L;

	@ApiOperation(value = "取队列最顶层记录", httpMethod = "GET")
	@ApiResponses({@ApiResponse(code = 200, message = "成功", response = OuterGetScoreQueueTopResp.class),
			@ApiResponse(code = 500, message = "系统异常(异常信息见响应体)", response = StatusResponse.class)})
	@PostMapping("/getScoreQueueTop")
	@Override
	public OuterGetScoreQueueTopResp GetScoreQueueTop(@RequestBody OuterGetScoreQueueTopReq req) {
		return null;
	}

	@ApiOperation(value = "删除队列最顶层记录", httpMethod = "GET")
	@ApiResponses({@ApiResponse(code = 200, message = "成功", response = OuterDeleteScoreQueueTopResp.class),
			@ApiResponse(code = 500, message = "系统异常(异常信息见响应体)", response = StatusResponse.class)})
	@PostMapping("deleteScoreQueueTop")
	@Override
	public OuterDeleteScoreQueueTopResp DeleteScoreQueueTop(@RequestBody OuterDeleteScoreQueueTopReq req) {
		return null;
	}

}
